Double Drops

Discussion in 'Plugin Requests' started by UnnamedWarrior, Sep 10, 2021.

  1. Offline

    UnnamedWarrior

    Plugin category: idk xD

    Minecraft version: Paper 1.8.8

    Suggested name: DoubleDrops

    What I want: I want a plugin that can make blocks drops doubled also a config so i can add double drops on specific blocks

    This is like a perk for VIP players so they cab have more drops on blocks

    Ideas for commands: a reload command.

    Ideas for permissions: doubledrops.double this permission is needed so they can have double drops if the player doesnt have a perm the drops will not be doubled

    When I'd like it by: as soon as possible
     
    Last edited: Sep 11, 2021
  2. Offline

    seifedev

    Hello, I'll start working on this plugin tomorrow, do you have anything else that you would like to add ? as long as the concept remains the same
     
  3. Offline

    UnnamedWarrior

    Like another perm doubledrops.triple so blocks drops 3x
     
  4. Offline

    seifedev

    Hello,

    Virustotal
    <Edit by Moderator: Redacted mega url> from mega[/URL]

    Assign the permission increaseDrops.[number] to player, he will get so many blocks after destroying them. The maximum number you can give as permission is increaseDrops.10, it can be changed via the config.yml
     
    Last edited by a moderator: Sep 14, 2021
  5. Offline

    UnnamedWarrior

    Link pls i cant see it
     
  6. Offline

    seifedev

  7. Offline

    UnnamedWarrior

    Forgot to mention that im using java 8 so can u compile it with java 8 im not sure if the java version is the problem cuz im getting this errors
    [12:42:38] [Server thread/ERROR]: Could not load 'plugins/IncraseDrops-1.0.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: tech/seife/increasedrops/IncreaseDrops has been compiled by a more recent version of the Java Runtime (class file version 62.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[server.jar:git-NachoSpigot-"fb7a9f2"]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:317) ~[server.jar:git-NachoSpigot-"fb7a9f2"]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:241) [server.jar:git-NachoSpigot-"fb7a9f2"]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:283) [server.jar:git-NachoSpigot-"fb7a9f2"]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:204) [server.jar:git-NachoSpigot-"fb7a9f2"]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:559) [server.jar:git-NachoSpigot-"fb7a9f2"]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_302]
    Caused by: java.lang.UnsupportedClassVersionError: tech/seife/increasedrops/IncreaseDrops has been compiled by a more recent version of the Java Runtime (class file version 62.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_302]
    at java.lang.ClassLoader.defineClass(ClassLoader.java:756) ~[?:1.8.0_302]
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.8.0_302]
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:468) ~[?:1.8.0_302]
    at java.net.URLClassLoader.access$100(URLClassLoader.java:74) ~[?:1.8.0_302]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:369) ~[?:1.8.0_302]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:363) ~[?:1.8.0_302]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_302]
    at java.net.URLClassLoader.findClass(URLClassLoader.java:362) ~[?:1.8.0_302]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:103) ~[server.jar:git-NachoSpigot-"fb7a9f2"]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:88) ~[server.jar:git-NachoSpigot-"fb7a9f2"]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:418) ~[?:1.8.0_302]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:351) ~[?:1.8.0_302]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_302]
    at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_302]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:66) ~[server.jar:git-NachoSpigot-"fb7a9f2"]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[server.jar:git-NachoSpigot-"fb7a9f2"]
    ... 6 more
     
  8. Offline

    seifedev

  9. Offline

    UnnamedWarrior

    Btw could u add more things in the config like increasedrops will only work blocks specified in the config like

    Blocks:
    - IRON_ORE
    - GOLD_ORE
    - COBBLESTONE
    - COAL_ORE
     

Share This Page